Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.discovery
Class MulticastTimeToLive

    java.lang.Object
      com.sun.jini.discovery.MulticastTimeToLive

All Implemented Interfaces:
  InvocationConstraint, Serializable

public final class MulticastTimeToLive
extends Object
implements InvocationConstraint, Serializable

Represents a constraint on the time to live (TTL) value set on outgoing multicast request and multicast announcement packets. Lookup services and discovery clients can use this constraint to specify the range of multicast transmissions used in discovery.

Since:
  2.0
See Also:
  Serialized Form

Field Summary
`static int` | `MAX_TIME_TO_LIVE` The maximum permissible time to live value.

Constructor Summary
`MulticastTimeToLive(int ttl)` Creates a `MulticastTimeToLive` constraint for the given time to live value.

Method Summary
`boolean` | `equals(Object obj)`
`int` | `getTimeToLive()` Returns the time to live value.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MAX_TIME_TO_LIVE

    public static final int MAX_TIME_TO_LIVE

  The maximum permissible time to live value.

  See Also:
    Constant Field Values

Constructor Detail

### MulticastTimeToLive

    public MulticastTimeToLive(int ttl)

  Creates a `MulticastTimeToLive` constraint for the given time to live value.

Parameters:
  `ttl` - the time to live value
Throws:
  `IllegalArgumentException` - if the given value is negative or greater than `MAX_TIME_TO_LIVE`.

Method Detail

### getTimeToLive

    public int getTimeToLive()

  Returns the time to live value.

  Returns:
    the time to live value

### hashCode

    public int hashCode()

### equals

    public boolean equals(Object obj)

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved